%define module  Proc-Daemon
%define name    perl-%{module}
%define version 0.03
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        Artistic
Summary:        Run a perl program as a daemon process
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Proc/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Proc::Daemon provides the capability for a Perl program to run
as a Unix daemon process.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man3/*
%{perl_vendorlib}/Proc

%changelog
* Sun Apr 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdk
- contributed by Kyle Yencer <kyle@yencer.net>
